# Interface TokenBridgeBaseNativeDerivedAccounts

#### Hierarchy

- TokenBridgeBaseDerivedAccounts
  - TokenBridgeBaseNativeDerivedAccounts
    - TokenBridgeNativeSenderDerivedAccounts
    - TokenBridgeNativeRedeemerDerivedAccounts
    - TokenBridgeNativeRedeemerDerivedAccounts
    - TokenBridgeNativeSenderDerivedAccounts

- Defined in platforms/solana/protocols/tokenBridge/src/utils/tokenBridge/cpi.ts:34

#####
Index

### Properties

tokenBridgeConfig
tokenBridgeCustodySigner

## Properties

### tokenBridgeConfig

tokenBridgeConfig: PublicKey

seeds = ["config"], seeds::program = tokenBridgeProgram

Inherited from TokenBridgeBaseDerivedAccounts.tokenBridgeConfig

- Defined in platforms/solana/protocols/tokenBridge/src/utils/tokenBridge/cpi.ts:31

### tokenBridgeCustodySigner

tokenBridgeCustodySigner: PublicKey

seeds = ["custody_signer"], seeds::program = tokenBridgeProgram

- Defined in platforms/solana/protocols/tokenBridge/src/utils/tokenBridge/cpi.ts:39

Generated using TypeDoc